Subject: bug#37967: guix environment -CN: Operation not permitted mounting host's /var/run/nscd

From: Ludovic Courtès <[email-masked]>
Date: Tue, 29 Oct 2019 23:16:49 +0100

Bon dia Ivan,

Ivan Vilata i Balaguer <[email-masked]> skribis:

> Hi!  While using Guix commit `c9fc03a3` on Debian unstable, whenever I run
> `guix environment -CN` (either as a normal user or as root) I get an error
> like this:
>
>     guix environment: error: mount: mount "/var/run/nscd" on "/tmp/guix-directory.6kBgXe//var/run/nscd": Operation not permitted
>
> nscd is installed and working in my host machine.

What does ‘uname -rs’ return?

What about ‘ls -ld /var/run/nscd’?

> This command used to work a while ago.  Actually, I pulled the Guix commit
> right before `5ccec771` ("file-systems: Add /var/run/nscd to
> '%network-file-mappings'.") and the command seems to work again (even if I do
> not replace the running daemon).
>
> Maybe the later commit introduced some kind of regression?

It definitely has to do with this commit, but I wonder why you’d get
EPERM when bind-mounting /var/run/nscd to a different place!

Gracies,
Ludo’.